/caferimo-manual-inventory-logs-post-one

Summary

  • Source repository: jef-systems/jef-caferimo-backend

  • Source SHA: 34c5a4f7f6891cb316e3bb2803081a3c35d4aa22

  • Source run id: 25862691770

  • Lambda function: jef-caferimo-manual-inventory-logs-post-one

  • HTTP method: POST

  • API path: /caferimo-manual-inventory-logs-post-one

  • Endpoint URL: https://iim2eohqsl.execute-api.ap-southeast-1.amazonaws.com/prod/caferimo-manual-inventory-logs-post-one

  • Payload mode: json-body

Description

  • Function: jef-caferimo-manual-inventory-logs-post-one

  • Module: jef-caferimo

  • Action: post-one

  • Method: POST

  • Invocation Mode: ASYNC

  • Resource Path: /caferimo-manual-inventory-logs-post-one

  • Table: jef-caferimo-manual-inventory-logs

  • Primary Key: manual_inventory_log_id

API Gateway Response

  • status\_code: 202

  • message: Request accepted for asynchronous processing.

Payload Example

  • manual\_inventory\_log\_id: 19510051-54bc-47e7-a08d-88d59162f71a

  • store\_id: 167ec01f-2aae-4482-902d-61c36b19b0d4

  • entity\_number: CAFERIMO-ESC-01

  • inventory\_date: 2026-05-14

  • counted\_by: J. Reyes

  • created\_at: 2026-05-14T13:18:12Z

  • updated\_at: 2026-05-14T13:18:12Z

  • is\_active: True

  • children.inventory\_items\[0\].inventory\_item\_id: eaa1aba3-ce97-48e2-8e1b-94ba2f112914

  • children.inventory\_items\[0\].manual\_inventory\_log\_id: 19510051-54bc-47e7-a08d-88d59162f71a

  • children.inventory\_items\[0\].store\_id: d55d5fab-09c1-4e80-9e36-6977691a50e1

  • children.inventory\_items\[0\].entity\_number: JEF-001

  • children.inventory\_items\[0\].inventory\_item\_number: CAFR-1007

  • children.inventory\_items\[0\].inventory\_item\_name: Premium Jasmine Rice 5kg

  • children.inventory\_items\[0\].category: Foodgrains

  • children.inventory\_items\[0\].unit: bag

  • children.inventory\_items\[0\].counted\_quantity: 42

  • children.inventory\_items\[0\].low\_stock\_alert\_value: 15

  • children.inventory\_items\[0\].full\_stock\_alert\_value: 60

  • children.inventory\_items\[0\].stock\_alert\_status: OK

  • children.inventory\_items\[0\].created\_at: 2026-05-14T13:19:51Z

  • children.inventory\_items\[0\].updated\_at: 2026-05-14T13:19:51Z

  • children.inventory\_items\[0\].is\_active: True

Payload Schema

{
  "root.type": "M",
  "root.required": "True",
  "root.attributes.manual_inventory_log_id.type": "S",
  "root.attributes.manual_inventory_log_id.required": "True",
  "root.attributes.manual_inventory_log_id.format": "uuidv4",
  "root.attributes.manual_inventory_log_id.regex": "^[1-9a-fA-F][0-9a-fA-F]{7}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$",
  "root.attributes.store_id.type": "S",
  "root.attributes.store_id.required": "True",
  "root.attributes.store_id.format": "uuidv4",
  "root.attributes.store_id.regex": "^[1-9a-fA-F][0-9a-fA-F]{7}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$",
  "root.attributes.entity_number.type": "S",
  "root.attributes.entity_number.required": "True",
  "root.attributes.entity_number.regex": "^[A-Za-z0-9_-]{1,64}$",
  "root.attributes.inventory_date.type": "S",
  "root.attributes.inventory_date.required": "True",
  "root.attributes.inventory_date.regex": "^\\d{4}-\\d{2}-\\d{2}$",
  "root.attributes.counted_by.type": "S",
  "root.attributes.counted_by.required": "True",
  "root.attributes.counted_by.regex": "^[A-Za-z0-9 .,'_-]{1,120}$",
  "root.attributes.created_at.type": "S",
  "root.attributes.created_at.required": "True",
  "root.attributes.created_at.format": "iso8601",
  "root.attributes.created_at.regex": "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}(\\.\\d{1,6})?Z?$",
  "root.attributes.updated_at.type": "S",
  "root.attributes.updated_at.required": "True",
  "root.attributes.updated_at.format": "iso8601",
  "root.attributes.updated_at.regex": "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}(\\.\\d{1,6})?Z?$",
  "root.attributes.is_active.type": "BOOL",
  "root.attributes.is_active.required": "True",
  "root.attributes.is_active.regex": "^(true|false)$",
  "root.attributes.children.type": "M",
  "root.attributes.children.required": "False",
  "root.attributes.children.attributes.inventory_items.type": "L",
  "root.attributes.children.attributes.inventory_items.required": "False",
  "root.attributes.children.attributes.inventory_items.items.type": "M",
  "root.attributes.children.attributes.inventory_items.items.attributes.inventory_item_id.type": "S",
  "root.attributes.children.attributes.inventory_items.items.attributes.inventory_item_id.required": "True",
  "root.attributes.children.attributes.inventory_items.items.attributes.inventory_item_id.format": "uuidv4",
  "root.attributes.children.attributes.inventory_items.items.attributes.inventory_item_id.regex": "^[1-9a-fA-F][0-9a-fA-F]{7}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$",
  "root.attributes.children.attributes.inventory_items.items.attributes.manual_inventory_log_id.type": "S",
  "root.attributes.children.attributes.inventory_items.items.attributes.manual_inventory_log_id.required": "False",
  "root.attributes.children.attributes.inventory_items.items.attributes.manual_inventory_log_id.format": "uuidv4",
  "root.attributes.children.attributes.inventory_items.items.attributes.manual_inventory_log_id.regex": "^[1-9a-fA-F][0-9a-fA-F]{7}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$",
  "root.attributes.children.attributes.inventory_items.items.attributes.store_id.type": "S",
  "root.attributes.children.attributes.inventory_items.items.attributes.store_id.required": "True",
  "root.attributes.children.attributes.inventory_items.items.attributes.store_id.format": "uuidv4",
  "root.attributes.children.attributes.inventory_items.items.attributes.store_id.regex": "^[1-9a-fA-F][0-9a-fA-F]{7}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$",
  "root.attributes.children.attributes.inventory_items.items.attributes.entity_number.type": "S",
  "root.attributes.children.attributes.inventory_items.items.attributes.entity_number.required": "True",
  "root.attributes.children.attributes.inventory_items.items.attributes.entity_number.regex": "^[A-Za-z0-9_-]{1,64}$",
  "root.attributes.children.attributes.inventory_items.items.attributes.inventory_item_number.type": "S",
  "root.attributes.children.attributes.inventory_items.items.attributes.inventory_item_number.required": "True",
  "root.attributes.children.attributes.inventory_items.items.attributes.inventory_item_number.regex": "^[A-Za-z0-9_-]{1,64}$",
  "root.attributes.children.attributes.inventory_items.items.attributes.inventory_item_name.type": "S",
  "root.attributes.children.attributes.inventory_items.items.attributes.inventory_item_name.required": "True",
  "root.attributes.children.attributes.inventory_items.items.attributes.inventory_item_name.regex": "^[A-Za-z0-9 .,'_-]{1,120}$",
  "root.attributes.children.attributes.inventory_items.items.attributes.category.type": "S",
  "root.attributes.children.attributes.inventory_items.items.attributes.category.required": "True",
  "root.attributes.children.attributes.inventory_items.items.attributes.category.regex": "^[A-Za-z0-9_-]{1,64}$",
  "root.attributes.children.attributes.inventory_items.items.attributes.unit.type": "S",
  "root.attributes.children.attributes.inventory_items.items.attributes.unit.required": "True",
  "root.attributes.children.attributes.inventory_items.items.attributes.unit.regex": "^[A-Za-z0-9_-]{1,64}$",
  "root.attributes.children.attributes.inventory_items.items.attributes.counted_quantity.type": "N",
  "root.attributes.children.attributes.inventory_items.items.attributes.counted_quantity.required": "True",
  "root.attributes.children.attributes.inventory_items.items.attributes.counted_quantity.regex": "^-?\\d+(\\.\\d+)?$",
  "root.attributes.children.attributes.inventory_items.items.attributes.low_stock_alert_value.type": "N",
  "root.attributes.children.attributes.inventory_items.items.attributes.low_stock_alert_value.required": "True",
  "root.attributes.children.attributes.inventory_items.items.attributes.low_stock_alert_value.regex": "^-?\\d+(\\.\\d+)?$",
  "root.attributes.children.attributes.inventory_items.items.attributes.full_stock_alert_value.type": "N",
  "root.attributes.children.attributes.inventory_items.items.attributes.full_stock_alert_value.required": "True",
  "root.attributes.children.attributes.inventory_items.items.attributes.full_stock_alert_value.regex": "^-?\\d+(\\.\\d+)?$",
  "root.attributes.children.attributes.inventory_items.items.attributes.stock_alert_status.type": "S",
  "root.attributes.children.attributes.inventory_items.items.attributes.stock_alert_status.required": "True",
  "root.attributes.children.attributes.inventory_items.items.attributes.stock_alert_status.regex": "^[A-Za-z0-9_-]{1,64}$",
  "root.attributes.children.attributes.inventory_items.items.attributes.created_at.type": "S",
  "root.attributes.children.attributes.inventory_items.items.attributes.created_at.required": "True",
  "root.attributes.children.attributes.inventory_items.items.attributes.created_at.format": "iso8601",
  "root.attributes.children.attributes.inventory_items.items.attributes.created_at.regex": "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}(\\.\\d{1,6})?Z?$",
  "root.attributes.children.attributes.inventory_items.items.attributes.updated_at.type": "S",
  "root.attributes.children.attributes.inventory_items.items.attributes.updated_at.required": "True",
  "root.attributes.children.attributes.inventory_items.items.attributes.updated_at.format": "iso8601",
  "root.attributes.children.attributes.inventory_items.items.attributes.updated_at.regex": "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}(\\.\\d{1,6})?Z?$",
  "root.attributes.children.attributes.inventory_items.items.attributes.is_active.type": "BOOL",
  "root.attributes.children.attributes.inventory_items.items.attributes.is_active.required": "True",
  "root.attributes.children.attributes.inventory_items.items.attributes.is_active.regex": "^(true|false)$"
}

Response Schema

{
  "root.type": "M",
  "root.required": "True",
  "root.attributes.is_accepted.type": "BOOL",
  "root.attributes.is_accepted.required": "True",
  "root.attributes.message.type": "S",
  "root.attributes.message.required": "True",
  "root.attributes.request_id.type": "S",
  "root.attributes.request_id.required": "False"
}

Request Payload

{
  "manual_inventory_log_id": "19510051-54bc-47e7-a08d-88d59162f71a",
  "store_id": "167ec01f-2aae-4482-902d-61c36b19b0d4",
  "entity_number": "CAFERIMO-ESC-01",
  "inventory_date": "2026-05-14",
  "counted_by": "J. Reyes",
  "created_at": "2026-05-14T13:18:12Z",
  "updated_at": "2026-05-14T13:18:12Z",
  "is_active": "True",
  "children.inventory_items[0].inventory_item_id": "eaa1aba3-ce97-48e2-8e1b-94ba2f112914",
  "children.inventory_items[0].manual_inventory_log_id": "19510051-54bc-47e7-a08d-88d59162f71a",
  "children.inventory_items[0].store_id": "d55d5fab-09c1-4e80-9e36-6977691a50e1",
  "children.inventory_items[0].entity_number": "JEF-001",
  "children.inventory_items[0].inventory_item_number": "CAFR-1007",
  "children.inventory_items[0].inventory_item_name": "Premium Jasmine Rice 5kg",
  "children.inventory_items[0].category": "Foodgrains",
  "children.inventory_items[0].unit": "bag",
  "children.inventory_items[0].counted_quantity": "42",
  "children.inventory_items[0].low_stock_alert_value": "15",
  "children.inventory_items[0].full_stock_alert_value": "60",
  "children.inventory_items[0].stock_alert_status": "OK",
  "children.inventory_items[0].created_at": "2026-05-14T13:19:51Z",
  "children.inventory_items[0].updated_at": "2026-05-14T13:19:51Z",
  "children.inventory_items[0].is_active": "True"
}

Response

{
  "root.type": "M",
  "root.required": "True",
  "root.attributes.is_accepted.type": "BOOL",
  "root.attributes.is_accepted.required": "True",
  "root.attributes.message.type": "S",
  "root.attributes.message.required": "True",
  "root.attributes.request_id.type": "S",
  "root.attributes.request_id.required": "False"
}

CMD curl

curl -X POST "https://iim2eohqsl.execute-api.ap-southeast-1.amazonaws.com/prod/caferimo-manual-inventory-logs-post-one" -H "Content-Type: application/json" --data-raw "{\"manual_inventory_log_id\": \"19510051-54bc-47e7-a08d-88d59162f71a\", \"store_id\": \"167ec01f-2aae-4482-902d-61c36b19b0d4\", \"entity_number\": \"CAFERIMO-ESC-01\", \"inventory_date\": \"2026-05-14\", \"counted_by\": \"J. Reyes\", \"created_at\": \"2026-05-14T13:18:12Z\", \"updated_at\": \"2026-05-14T13:18:12Z\", \"is_active\": true, \"children\": {\"inventory_items\": [{\"inventory_item_id\": \"eaa1aba3-ce97-48e2-8e1b-94ba2f112914\", \"manual_inventory_log_id\": \"19510051-54bc-47e7-a08d-88d59162f71a\", \"store_id\": \"d55d5fab-09c1-4e80-9e36-6977691a50e1\", \"entity_number\": \"JEF-001\", \"inventory_item_number\": \"CAFR-1007\", \"inventory_item_name\": \"Premium Jasmine Rice 5kg\", \"category\": \"Foodgrains\", \"unit\": \"bag\", \"counted_quantity\": 42, \"low_stock_alert_value\": 15, \"full_stock_alert_value\": 60, \"stock_alert_status\": \"OK\", \"created_at\": \"2026-05-14T13:19:51Z\", \"updated_at\": \"2026-05-14T13:19:51Z\", \"is_active\": true}]}}"

PowerShell curl

curl.exe -X POST "https://iim2eohqsl.execute-api.ap-southeast-1.amazonaws.com/prod/caferimo-manual-inventory-logs-post-one" -H "Content-Type: application/json" --data-raw '{"manual_inventory_log_id": "19510051-54bc-47e7-a08d-88d59162f71a", "store_id": "167ec01f-2aae-4482-902d-61c36b19b0d4", "entity_number": "CAFERIMO-ESC-01", "inventory_date": "2026-05-14", "counted_by": "J. Reyes", "created_at": "2026-05-14T13:18:12Z", "updated_at": "2026-05-14T13:18:12Z", "is_active": true, "children": {"inventory_items": [{"inventory_item_id": "eaa1aba3-ce97-48e2-8e1b-94ba2f112914", "manual_inventory_log_id": "19510051-54bc-47e7-a08d-88d59162f71a", "store_id": "d55d5fab-09c1-4e80-9e36-6977691a50e1", "entity_number": "JEF-001", "inventory_item_number": "CAFR-1007", "inventory_item_name": "Premium Jasmine Rice 5kg", "category": "Foodgrains", "unit": "bag", "counted_quantity": 42, "low_stock_alert_value": 15, "full_stock_alert_value": 60, "stock_alert_status": "OK", "created_at": "2026-05-14T13:19:51Z", "updated_at": "2026-05-14T13:19:51Z", "is_active": true}]}}'